# Class: model

Represents a model in the world. Can represent both an m2 and wmo model.

## Table of contents

### Constructors

- [constructor](model.md#constructor)

### Methods

- [get\_filename](model.md#get_filename)
- [get\_pos](model.md#get_pos)
- [get\_rot](model.md#get_rot)
- [get\_scale](model.md#get_scale)
- [get\_uid](model.md#get_uid)
- [has\_filename](model.md#has_filename)
- [remove](model.md#remove)
- [replace](model.md#replace)
- [set\_pos](model.md#set_pos)
- [set\_rot](model.md#set_rot)
- [set\_scale](model.md#set_scale)

## Constructors

### constructor

\+ **new model**(): [*model*](model.md)

**Returns:** [*model*](model.md)

## Methods

### get\_filename

▸ **get_filename**(): *string*

**Returns:** *string*

___

### get\_pos

▸ **get_pos**(): [*vector\_3d*](vector_3d.md)

**Returns:** [*vector\_3d*](vector_3d.md)

___

### get\_rot

▸ **get_rot**(): [*vector\_3d*](vector_3d.md)

**Returns:** [*vector\_3d*](vector_3d.md)

___

### get\_scale

▸ **get_scale**(): *number*

**Returns:** *number*

___

### get\_uid

▸ **get_uid**(): *number*

**Returns:** *number*

___

### has\_filename

▸ **has_filename**(`name`: *string*): *boolean*

#### Parameters:

Name | Type |
:------ | :------ |
`name` | *string* |

**Returns:** *boolean*

___

### remove

▸ **remove**(): *void*

**Returns:** *void*

___

### replace

▸ **replace**(`filename`: *string*): *any*

#### Parameters:

Name | Type |
:------ | :------ |
`filename` | *string* |

**Returns:** *any*

___

### set\_pos

▸ **set_pos**(`pos`: [*vector\_3d*](vector_3d.md)): *void*

#### Parameters:

Name | Type |
:------ | :------ |
`pos` | [*vector\_3d*](vector_3d.md) |

**Returns:** *void*

___

### set\_rot

▸ **set_rot**(`pos`: [*vector\_3d*](vector_3d.md)): *void*

#### Parameters:

Name | Type |
:------ | :------ |
`pos` | [*vector\_3d*](vector_3d.md) |

**Returns:** *void*

___

### set\_scale

▸ **set_scale**(`scale`: *number*): *void*

#### Parameters:

Name | Type |
:------ | :------ |
`scale` | *number* |

**Returns:** *void*
